com.corticon.rulesemf.common

## Interface LocalizedValidationMessage

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidationMessage

      public interface LocalizedValidationMessage
      extends ValidationMessage

  A representation of the model object 'Localized Validation Message'.

  The following features are supported:

  - `Text`
  - `Location`
  See Also:
    `CommonPackage.getLocalizedValidationMessage()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocation()` Returns the value of the 'Location' attribute
    `java.lang.String` | `getText()` Returns the value of the 'Text' attribute
    `void` | `setLocation(java.lang.String value)` Sets the value of the '`Location`' attribute
    `void` | `setText(java.lang.String value)` Sets the value of the '`Text`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidationMessage

      `getInvalidObjects, getKey, getSeverity, getType, getUUID, isDemoted, isSameMessage, setDemoted, setKey, setSeverity, setType, setUUID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      Returns the value of the 'Text' attribute.

      If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' attribute.
      See Also:
        `setText(String)`, `CommonPackage.getLocalizedValidationMessage_Text()`

    - #### setText

          void setText(java.lang.String value)

      Sets the value of the '`Text`' attribute.
      Parameters:
        `value` - the new value of the 'Text' attribute.
      See Also:
        `getText()`

    - #### getLocation

          java.lang.String getLocation()

      Returns the value of the 'Location' attribute.

      If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Location' attribute.
      See Also:
        `setLocation(String)`, `CommonPackage.getLocalizedValidationMessage_Location()`

    - #### setLocation

          void setLocation(java.lang.String value)

      Sets the value of the '`Location`' attribute.
      Parameters:
        `value` - the new value of the 'Location' attribute.
      See Also:
        `getLocation()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.